#include <owl.h>
#include <dialog.h>
#include <BWCC.H>
#include "owlspl.h"

class TMyApp : public TApplication  // Application Class to contain
  {                                      // the application
  public:
    TMyApp(LPSTR lpName, HANDLE hInstance,  // constructor calls the
		HANDLE hPrevInstance,            // base class constructor
		LPSTR lpCmdLine, int nCmdShow)
		:TApplication(lpName, hInstance,
			      hPrevInstance,
			      lpCmdLine, nCmdShow) {};

    virtual void InitMainWindow(); // overrides base class InitMainWindow
    virtual void IdleAction();
    BOOL bFlag;
  };

void TMyApp::IdleAction()
  {
  TApplication::IdleAction();
  if (MainWindow && bFlag)
    {
    bFlag = FALSE;
    PTWindowsObject pMyT;
    pMyT = MakeWindow(new TDialog(NULL,"SPLASHDIALOG"));

    int Count2;int Count3;                  // Pause
    for (Count2=0;Count2<=10000;Count2++)
      for (Count3=0;Count3<=100;Count3++);
    pMyT->CloseWindow();
   }
  }
void TMyApp::InitMainWindow() // to initialize a dialog box
  {                                // as the main window
  MainWindow = new TDialog(NULL,"Main_Window_Dialog");
  bFlag = TRUE;
  }

int PASCAL WinMain(HANDLE hInstance,              // main entry point from
		   HANDLE hPrevInstance,          // windows to this program
		   LPSTR lpCmdLine , int nCmdShow)
  {
  BWCCGetVersion();
  TMyApp DialogApp("Dialog Tester",hInstance,  // create instance of
		       hPrevInstance,             // the dialog application
		       lpCmdLine,nCmdShow);
  DialogApp.Run();                                  // run it
  return (DialogApp.Status);                        // exit
  }
/**********************************************************************/
